=== generators/epub/data/CMakeLists.txt ===
 
install(FILES
  okular-epub-sound-icon.png
  okular-epub-movie.png
  DESTINATION ${KDE_INSTALL_DATADIR}/okular/pics)
