=== debian/changelog ===
okular (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:01 +0000

okular (4:17.12.2-0ubuntu3) bionic; urgency=medium

  * Add parttest to the failing test patch. Passes in LXD and
    cloud VM tests but segfaults on ubuntu test runners.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Feb 2018 21:10:07 +0000

okular (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Update and tidy install files
  * Update copyright changes from debian
  * Update watchfile and add upstream signing key
  * Update upstream metadata
  * Install extra MS Chm backend files
  * As per debian, split qml files out into new module package
    qml-module-org-kde-okular

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 24 Feb 2018 19:13:53 +0000

okular (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Add optional build dep on libmarkdown2-dev & install resultant
    new files 
  * Add build dep on libkf5purpose-dev
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Library bump: libokular5core7 -> libokular5core8
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:18 +0000

okular (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Build with Qt5TextToSpeech support

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Feb 2018 12:31:50 +0000

okular (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:35 +0000
