## okular 18.04.0

=== debian/changelog ===
okular (4:18.04.0-1mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 11 Jul 2021 15:11:47 -0400

okular (4:18.04.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libokular5core8 to libokular5core9, according to the upstream SONAME
    bump.
  * Update the build & runtime dependencies:
    - bump all the Qt ones to >= 5.8.0
    - bump all the KF5 ones to >= 5.33.0
    - add libkf5crash-dev, libkf5purpose-dev, and libqt5texttospeech5-dev
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Since the okularcore library bumps SONAME in each stable series, instead of
    using a symbols file make sure the generated shlibs requires the last
    version.
  * Remove the jovie suggests, as it is not useful for okular.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 17:58:18 +0200
