=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.19.0~),
               libchm-dev,
               libdjvulibre-dev (>= 3.5.17~),
               libepub-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.33.0~),
               libkf5archive-dev (>= 5.33.0~),
               libkf5bookmarks-dev (>= 5.33.0~),
               libkf5completion-dev (>= 5.33.0~),
               libkf5config-dev (>= 5.33.0~),
               libkf5configwidgets-dev (>= 5.33.0~),
               libkf5coreaddons-dev (>= 5.33.0~),
               libkf5crash-dev (>= 5.33.0~),
               libkf5doctools-dev (>= 5.33.0~),
               libkf5iconthemes-dev (>= 5.33.0~),
               libkf5kexiv2-dev,
               libkf5khtml-dev,
               libkf5kio-dev (>= 5.33.0~),
               libkf5kjs-dev (>= 5.33.0~),
               libkf5parts-dev (>= 5.33.0~),
               libkf5pty-dev,
               libkf5purpose-dev,
               libkf5threadweaver-dev (>= 5.33.0~),
               libkf5wallet-dev (>= 5.33.0~),
               libkf5windowsystem-dev (>= 5.33.0~),
               libmarkdown2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev (>= 0.12.1~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqmobipocket-dev (>= 4:17.08~),
               libqt5texttospeech5-dev (>= 5.8.0~),
               libqt5svg5-dev (>= 5.8.0~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libx11-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular

Package: libokular5core9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: kinit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups-bsd
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.0),
        okular-mobile (<< 4:17.04.1-0),
        ${kde-l10n:all},
Replaces: okular-extra-backends (<< 4:16.12.0),
          okular-mobile (<< 4:17.04.1-0),
          ${kde-l10n:all},
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.33.0~),
         libkf5coreaddons-dev (>= 5.33.0~),
         libkf5xmlgui-dev,
         libokular5core9 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:16.12.0), ${kde-l10n:all}
Replaces: okular (<< 4:16.12.0), ${kde-l10n:all}
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

Package: qml-module-org-kde-okular
Architecture: any
Depends: qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: okular (<< 4:17.12.2~),
Replaces: okular (<< 4:17.12.2~),
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-okular (= ${binary:Version}),
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.
